Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Push_Command Class Reference

`#include <CEC_Dispatching_Task.h>`

Inheritance diagram for TAO_CEC_Push_Command:

[legend]
Collaboration diagram for TAO_CEC_Push_Command:

[legend]
List of all members.

## Public Methods
| TAO_CEC_Push_Command (TAO_CEC_ProxyPushSupplier *proxy, CORBA::Any &event, ACE_Data_Block *data_block, ACE_Allocator *mb_allocator)
| Constructor.
virtual | ~TAO_CEC_Push_Command (void)
| Destructor.
virtual int | execute (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
| Command callback.
## Private Attributes
TAO_CEC_ProxyPushSupplier * | proxy_
| The proxy.
CORBA::Any | event_
| The event.

## Constructor & Destructor Documentation

ACE_INLINE TAO_CEC_Push_Command::TAO_CEC_Push_Command | ( | TAO_CEC_ProxyPushSupplier * | proxy,
|  | CORBA::Any & | event,
|  | ACE_Data_Block * | data_block,
|  | ACE_Allocator * | mb_allocator
| ) |

| Constructor.

TAO_CEC_Push_Command::~TAO_CEC_Push_Command | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_CEC_Push_Command::execute | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | `[virtual]`

| Command callback. Implements TAO_CEC_Dispatch_Command.

## Member Data Documentation

CORBA::Any TAO_CEC_Push_Command::event_`[private]`

| The event.

TAO_CEC_ProxyPushSupplier* TAO_CEC_Push_Command::proxy_`[private]`

| The proxy.

The documentation for this class was generated from the following files:

- CEC_Dispatching_Task.h
- CEC_Dispatching_Task.cpp
- CEC_Dispatching_Task.i